> ## Name

> cgGetFirstUniformBufferParameter - get the first child parameter from a uniform buffer parameter

> ## Synopsis

>     #include <Cg/cg.h>

>     CGparameter cgGetFirstUniformBufferParameter( CGparameter param );

> ## Parameters

> param
>   Specifies the uniform buffer parameter. This parameter must be of type CG_UNIFORMBUFFER (returned by cgGetParameterType).

> ## Return Values

> Returns a handle to the first member parameter.

> Returns NULL if param is not a uniform buffer or if some other error occurs.

> ## Description

> cgGetFirstUniformBufferParameter returns the first member parameter of a uniform buffer parameter. The rest of the members may be retrieved from the first member by iterating with cgGetNextParameter.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

> CG_INVALID_PARAMETER_TYPE_ERROR is generated if param is not a uniform buffer parameter.

> ## History

> cgGetFirstUniformBufferParameter was introduced in Cg 3.1.

> ## See Also

> cgGetNextParameter, cgGetFirstParameter, cgGetFirstStructParameter